1. 2015 is going to be a great year for Android! Why wait??
    Samsung Galaxy Note 5 | Samsung Galaxy S6 | HTC One M9
  2. New Forum Created: Samsung Gear VR!

Skype on epic 4g?


  1. viisign

    viisign Well-Known Member

    i don't know where to post this....but is there anyone out there that can please tell me how to use skype on the epic ? i downloaded it and i try to setup an account with it but it keeps saying initializing...and it won't stop. nothing ever happens? i am running 2.1 android or whatever. i really need to use this on my phone cause my sister is moving to florida and this will be the only way for me to talk to her. and i can't get this app to work? thanks to everyone that replies!

    Advertisement
    :
  2. SlyFerret

    SlyFerret Well-Known Member

    The Skype app page in the app store specifically states that Skype requires Android 2.2 on the Galaxy S (The epic is a Galaxy S phone).

    It won't work until we get 2.2.

    -SF
  3. viisign

    viisign Well-Known Member

    when will we get 2.2.???
  4. Keybeeetsss

    Keybeeetsss Well-Known Member

    I hav had it since Nov. along with Skype; but since I've been introduced to ooVoo, I don't even use Skype anymore on my computer.. (of course u still need 2.2 for that) It lets me do Phone to computer Video chats & works great...
  5. I have Skype running on EPIC (I have Android 2.2), but you can only make Skype calls over Wi-Fi and it doesn't video chat. This sucks!
  6. Keybeeetsss

    Keybeeetsss Well-Known Member

    Check out ooVoo...
  7. I have ooVoo and it's great! Unfortunately, a lot more people are on Skype. I also wish the ooVoo app wouldn't automatically start when I boot my phone.
  8. Keybeeetsss

    Keybeeetsss Well-Known Member

    Yeah I don't like the startup thing... but as far people, I hav all the folks that I kno on ooVoo.. Especially ones I chat with on the computer...
  9. trayack

    trayack Active Member

    I want to use ooVoo but I'm waiting for god damn upgrade. I don't want to do the half assed leaked one. Its really starting to piss me off.
  10. You don't need 2.2 to use Skype. It works on my kid sister's Virgin Mobile Intercept that is on 2.1 still.
Loading...
Similar Threads
  1. etoh
    Replies:
    7
    Views:
    234
  2. phandroid
    Replies:
    0
    Views:
    321
  3. bcarty81
    Replies:
    0
    Views:
    530
  4. my1birdhouse
    Replies:
    1
    Views:
    13
  5. my1birdhouse
    Replies:
    1
    Views:
    1,353

Share This Page